Cpuset Helpers

## Functions

static inline hwloc_const_cpuset_t | hwloc_topology_get_complete_cpuset (hwloc_topology_t topology)
static inline hwloc_const_cpuset_t | hwloc_topology_get_topology_cpuset (hwloc_topology_t topology)
static inline hwloc_const_cpuset_t | hwloc_topology_get_online_cpuset (hwloc_topology_t topology)
static inline hwloc_const_cpuset_t | hwloc_topology_get_allowed_cpuset (hwloc_topology_t topology)

## Detailed Description

## Function Documentation

static inline hwloc_const_cpuset_t hwloc_topology_get_allowed_cpuset | ( | hwloc_topology_t | topology) |  |

static

Get allowed CPU set.

Returns
  the CPU set of allowed logical processors of the system. If the topology is the result of a combination of several systems, NULL is returned.

Note
  The returned cpuset is not newly allocated and should thus not be changed or freed, hwloc_cpuset_dup must be used to obtain a local copy.

static inline hwloc_const_cpuset_t hwloc_topology_get_complete_cpuset | ( | hwloc_topology_t | topology) |  |

static

Get complete CPU set.

Returns
  the complete CPU set of logical processors of the system. If the topology is the result of a combination of several systems, NULL is returned.

Note
  The returned cpuset is not newly allocated and should thus not be changed or freed; hwloc_cpuset_dup must be used to obtain a local copy.

static inline hwloc_const_cpuset_t hwloc_topology_get_online_cpuset | ( | hwloc_topology_t | topology) |  |

static

Get online CPU set.

Returns
  the CPU set of online logical processors of the system. If the topology is the result of a combination of several systems, NULL is returned.

Note
  The returned cpuset is not newly allocated and should thus not be changed or freed; hwloc_cpuset_dup must be used to obtain a local copy.

static inline hwloc_const_cpuset_t hwloc_topology_get_topology_cpuset | ( | hwloc_topology_t | topology) |  |

static

Get topology CPU set.

Returns
  the CPU set of logical processors of the system for which hwloc provides topology information. This is equivalent to the cpuset of the system object. If the topology is the result of a combination of several systems, NULL is returned.

Note
  The returned cpuset is not newly allocated and should thus not be changed or freed; hwloc_cpuset_dup must be used to obtain a local copy.